org.apache.ignite.compute.gridify

## Class GridifyTaskAdapter<R>

- java.lang.Object
- - org.apache.ignite.compute.ComputeTaskAdapter<GridifyArgument,R>
  - - org.apache.ignite.compute.gridify.GridifyTaskAdapter<R>

Type Parameters:
  `R` - Return value of the task (see `ComputeTask.reduce(List)` method).

All Implemented Interfaces:
  Serializable, ComputeTask<GridifyArgument,R>

    public abstract class GridifyTaskAdapter<R>
    extends ComputeTaskAdapter<GridifyArgument,R>

Convenience adapter for tasks that work with `Gridify` annotation for grid-enabling methods. It enhances the regular `ComputeTaskAdapter` by enforcing the argument type of `GridifyArgument`. All tasks that work with `Gridify` annotation receive an argument of this type.

Please refer to `ComputeTaskAdapter` documentation for more information on additional functionality this adapter provides.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`GridifyTaskAdapter()`

### Method Summary

### Methods inherited from class org.apache.ignite.compute.ComputeTaskAdapter

`result`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.compute.ComputeTask

`map, reduce`

### Constructor Detail

#### GridifyTaskAdapter

    public GridifyTaskAdapter()

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0-RC1
Release Date | : February 17 2015